// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

public interface GenerationControlScheduleFSCHOrBuilder extends
    // @@protoc_insertion_point(interface_extends:generationmodule.GenerationControlScheduleFSCH)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Discrete value in GenerationCSG type
   * </pre>
   *
   * <code>.generationmodule.GenerationCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the valDCSG field is set.
   */
  boolean hasValDCSG();
  /**
   * <pre>
   * Discrete value in GenerationCSG type
   * </pre>
   *
   * <code>.generationmodule.GenerationCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The valDCSG.
   */
  openfmb.generationmodule.GenerationCSG getValDCSG();
  /**
   * <pre>
   * Discrete value in GenerationCSG type
   * </pre>
   *
   * <code>.generationmodule.GenerationCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.generationmodule.GenerationCSGOrBuilder getValDCSGOrBuilder();
}
